---
lang: en
title: 'API docs: rest.openapispecform'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.openapispecform.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [OpenApiSpecForm](./rest.openapispecform.md)

## OpenApiSpecForm interface

The form of OpenAPI specs to be served

<b>Signature:</b>

```typescript
export interface OpenApiSpecForm 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [format?](./rest.openapispecform.format.md) | string | <i>(Optional)</i> |
|  [version?](./rest.openapispecform.version.md) | string | <i>(Optional)</i> |


